#!/bin/sh
#*******************************************************************************
#
# File    : setupRDS
#
# Purpose : Recital 9.5 Database Server setup Script for Unix
#
# Author  : Recital Corporation
#
# Copyright (C) 1986 - 2008 Recital Corporation
#
# All rights reserved worldwide.
#
#*******************************************************************************
#
#  $1 = install directory
#  $2 = silent install
#
##############################################################
# setup envrionment
##############################################################
product=RDS
homedir=`pwd`
if [ "$1" = "" ];then
  installdir=`pwd`
else
  installdir=$1
fi
if [ "$2" = "" ];then
  silent=0
else
  silent=$2
fi
cd ${installdir}
. setup/reclib.sh
 setversion
 setprofile
##############################################################
# Confirm installtion
##############################################################
if [ "${silent}" = "1" ]; then
  reply="y"
else
  reply="y"
  $echonl_b "Install Recital ${version} Database Server (y/n) [${reply}] : $echonl_a"
  read reply
  if [ "$reply" = "" ]
  then
    reply="y"
  fi
fi
if [ "$reply" = "n" -o "$reply" = "N" ]
then
  exit
fi
#
##############################################################
# Setup Recital global environment file
##############################################################
globalenv ${installdir} ${product}
#
##############################################################
# extract the files
##############################################################
extractfile ${installdir} ${product}
#
##############################################################
# Setup links and directories
##############################################################
if [ ! -d ${ROI_ROOT}sdk ]
then
  mkdir  ${ROI_ROOT}sdk 
  chmod +r ${ROI_ROOT}sdk 
fi
if [ ! -d ${ROI_ROOT}licenses ]
then
  mkdir  ${ROI_ROOT}licenses 
  chmod +r ${ROI_ROOT}licenses 
fi
if [ ! -d ${ROI_ROOT}licenses/rvd ]
then
  mkdir  ${ROI_ROOT}licenses/rvd
  chmod +r ${ROI_ROOT}licenses/rvd
fi
if [ ! -d ${ROI_ROOT}licenses/rds ]
then
  mkdir  ${ROI_ROOT}licenses/rds
  chmod +r ${ROI_ROOT}licenses/rds
fi
cd uas
if [ ! -d log ]
then
  mkdir ./log
  chmod 777 ./log
fi
if [ ! -d error ]
then
  mkdir ./error
  chmod 777 ./error
fi
if [ -d mirage ]
then
  chmod 777 ./mirage
fi
./uas install "net" ${silent}
cd ${installdir}
cd ../
if [ -d ./recital ]; then
  rm -f ./recital
fi
if [ ! -d ./recital ]; then
  ln -s ${installdir} ./recital
fi
cd ${installdir}
if [ -f ${product}${platform}.tar ]
then
  rm ${product}${platform}.tar
fi
#
##############################################################
# shared library support
##############################################################
addldconfig
addpamd
#
##############################################################
# Add component to rpm database
##############################################################
if [ "${linux}" = "1" ]; then
  addrpm ${product}
fi
#
##############################################################
# Remove files used for the installation
##############################################################
removeinstallfiles ${installdir} ${product}-${fullver}
#
##############################################################
# Restore envrionment
##############################################################
cd ${homedir}
