#!/bin/sh
#*******************************************************************************
#
# Module: 
#
# 	uninsRDS.sh
#
# Purpose:
#
# 	Uninstallation procedure for Recital Database Server on UNIX
#
# Mode of use:
#
#	uninstRDS.sh
#
#*******************************************************************************
##############################################################
# setup envrionment
##############################################################
. recital95RDS.sh
homedir=`pwd`
cd ${ROI_ROOT}
silent=$2
. setup/reclib.sh
 setversion
 setprofile
#
##############################################################
# If not silent confirm uninstall
##############################################################
if [ $silent != 1 ];then
  reply="n"
  $echonl_b "Uninstall Recital ${version} Database Server (y/n) [${reply}] : $echonl_a"
  read reply
  if [ "$reply" = "" ];then
    exit
  fi
  echo "Uninstalling Recital ${version} Database Server."
fi
#
##############################################################
# Stop the Recital port listner
##############################################################
uas shutdown 1
#
##############################################################
# Remove the files from the uninstall list
##############################################################
removefiles setup/uninstRDS.lis $silent
#
##############################################################
# Remove product releated files
##############################################################
for i in `ls -l ${ROI_ROOT}uas/ | grep "^d" | cut -c 56-70`
do
   rmdir ${ROI_ROOT}uas/${i} 2> /dev/null
done
rm /usr/bin/uas          	> /dev/null 2>&1
rm /usr/bin/dbhost          > /dev/null 2>&1
rm /usr/bin/dbstop          > /dev/null 2>&1
rm /usr/bin/dbexec          > /dev/null 2>&1
rm setup/setupRDS.sh 		> /dev/null 2>&1
rm setup/uninstRDS.sh		> /dev/null 2>&1
rm setup/uninstRDS.lis		> /dev/null 2>&1
rm setup/platform.txt		> /dev/null 2>&1
rmdir setup					> /dev/null 2>&1
rmdir shared 				> /dev/null 2>&1
rmdir sharedlib				> /dev/null 2>&1
rmdir data 					> /dev/null 2>&1
rmdir doc 					> /dev/null 2>&1
rmdir images 				> /dev/null 2>&1
rmdir sdk 					> /dev/null 2>&1
rmdir licenses/rus			> /dev/null 2>&1
rmdir licenses/rvd			> /dev/null 2>&1
rmdir licenses/rds			> /dev/null 2>&1
rmdir licenses 				> /dev/null 2>&1
rmdir webroot 				> /dev/null 2>&1
rmdir uas/mirage			> /dev/null 2>&1
rmdir uas/error				> /dev/null 2>&1
rm uas/log/*				> /dev/null 2>&1
rmdir uas/log				> /dev/null 2>&1
rm uas/uas.log				> /dev/null 2>&1
rmdir uas/gateways			> /dev/null 2>&1
rmdir uas 					> /dev/null 2>&1
rm /etc/pam.d/recital		> /dev/null 2>&1
rm /etc/rc.d/init.d/recital	> /dev/null 2>&1
rm /etc/init.d/recital		> /dev/null 2>&1
rm /usr/bin/recital${ver}RDS.sh		> /dev/null 2>&1
delrsibase
delldconfig
#
##############################################################
# Delete component from rpm database
##############################################################
if [ "${linux}" = "1" ]; then
  delrpm recital-database-server
  rm RDS-${fullver}.rpm				> /dev/null 2>&1
fi
#
##############################################################
# Restore envrionment
##############################################################
cd ${homedir}
